Description

In a line layer, every single line that is a normal, undashed line is exported as:

&lt;se:SvgParameter name="stroke-dasharray"&gt;5 2&lt;/se:SvgParameter&gt;

When exporting via SLD. QML works fine. Which is of course dashed, even though it shouldn't be.

Lines that have dashes are exported properly as far as I can tell.

Test it against the topographic line QML file from here if you wish: https://issues.qgis.org/wiki/quantum-gis/OS_Styles (a couple are

supposed to be dashed).

History

#1 - 2013-01-10 07:23 AM - Jonathan Moules

I stand corrected. It wrongly exports dashed lines too. Try the BoundaryLine QML file in the above link.

Four the six items in that file are exported as the same type of dash (the QGIS "default"), but they're all supposed to be different dashes.

#2 - 2013-01-11 03:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

you should test qgis master as the SLD support have been improved a lot there.

#3 - 2013-01-11 03:38 AM - Jonathan Moules

Thanks, that sounds good, but unfortunately I'm in a corporate environment and currently sticking with stable works better for us (its what other users will

have to use if we move them to it internally).

#4 - 2013-01-11 03:42 AM - Giovanni Manghi

Jonathan Moules wrote:

Thanks, that sounds good, but unfortunately I'm in a corporate environment and currently sticking with stable works better for us (its what other users

will have to use if we move them to it internally).
https://issues.qgis.org/wiki/quantum-gis/OS_Styles


if you use windows you can install qgis-master together with qgis 1.8 with absolutely no issues, or you can obviously try it on your personal pc.

#5 - 2013-02-01 04:56 AM - Jonathan Moules

Sorry. I've now tried at least five times to install QGIS-master and it always fails/doesn't work. I can only run pre-packaged stable builds. As such I can't

test this in master.

#6 - 2013-02-04 08:17 AM - Jonathan Moules

- Status changed from Feedback to Closed

This appears to be resolved in master.
